# ruff: noqa: F401

from . import _cache, _magic, core, models, warnings
from ._load_udf import load
from ._options import PREVIEW_DEFAULT_BASE_URL as _PREVIEW_DEFAULT_BASE_URL
from ._options import PROD_DEFAULT_BASE_URL as _PROD_DEFAULT_BASE_URL
from ._options import STAGING_DEFAULT_BASE_URL as _STAGING_DEFAULT_BASE_URL
from ._options import _env, options, set_option
from ._public_api import _whoami, delete
from ._public_api import download as _download
from ._public_api import (
    get,
    get_udfs,
    ingest,
    ingest_nongeospatial,
    list,
    sign_url,
    sign_url_prefix,
    upload,
)
from ._run import run
from ._udf import udf
from ._utils import utils
from .api import FusedAPI, FusedDockerAPI, FusedDockerHTTPAPI, NotebookCredentials
from .core import cache, download, get_chunk_from_table, get_chunks_metadata

# Must be later so that models get imported first
from . import _experimental as experimental  # isort:skip

# Version is set to 0.0.0 as the version string is automatically generated by
# https://github.com/mtkennerly/poetry-dynamic-versioning
__version__ = "1.3.1"
